Package org.eclipse.osgi.service.pluginconversion

# Class PluginConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.osgi.service.pluginconversion.PluginConversionException

All Implemented Interfaces:
  `Serializable`

public class PluginConversionException extends Exception
Custom exception for errors that can happen during plugin conversion.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PluginConversionException()`
Constructor for the class.
`PluginConversionException(String message)`
Create a new exception with the given message.
`PluginConversionException(String message, Throwable cause)`
Create a new exception with the given message and nested exception.
`PluginConversionException(Throwable cause)`
Create a new exception with the given nested exception.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Return the nested exception for this exception or `null` if there is none.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PluginConversionException

public PluginConversionException()
Constructor for the class.

### PluginConversionException

public PluginConversionException(String message)
Create a new exception with the given message.

Parameters:
  `message` - the message for the exception

### PluginConversionException

public PluginConversionException(String message, Throwable cause)
Create a new exception with the given message and nested exception.

Parameters:
  `message` - the message for the exception
  `cause` - the nested exception

### PluginConversionException

public PluginConversionException(Throwable cause)
Create a new exception with the given nested exception.

Parameters:
  `cause` - the nested exception

## Method Details

### getCause

public Throwable getCause()
Return the nested exception for this exception or `null` if there is none.

Overrides:
  `getCause` in class `Throwable`
Returns:
  the nested exception or `null`